## org.ascape.query.parser
Class BoolExprTreeTokenManager

    java.lang.Object
      org.ascape.query.parser.BoolExprTreeTokenManager

All Implemented Interfaces:
  BoolExprTreeConstants

    public class BoolExprTreeTokenManager

extends java.lang.Object
implements BoolExprTreeConstants

Field Summary
`protected char` `curChar`
`java.io.PrintStream` `debugStream`
`protected SimpleCharStream` `input_stream`
`static java.lang.String[]` `jjstrLiteralImages`
`static java.lang.String[]` `lexStateNames`

Fields inherited from interface org.ascape.query.parser.BoolExprTreeConstants
`AND, CONTAINS, DEFAULT, EOF, EQUAL, GREATER_THAN, LESS_THAN, NAME, NOT_EQUAL, NUMBER, OR, PERIOD, QUOTED_STRING, STARTS_WITH, tokenImage, WILDCARD`

Constructor Summary
`BoolExprTreeTokenManager(SimpleCharStream stream)`
`BoolExprTreeTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` `getNextToken()`
`protected Token` `jjFillToken()`
`void` `ReInit(SimpleCharStream stream)`
`void` `ReInit(SimpleCharStream stream, int lexState)`
`void` `setDebugStream(java.io.PrintStream ds)`
`void` `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### BoolExprTreeTokenManager

    public BoolExprTreeTokenManager(SimpleCharStream stream)

### BoolExprTreeTokenManager

    public BoolExprTreeTokenManager(SimpleCharStream stream,
                                    int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()